Retrieve a paginated collection of Shipment records belonging to your Organization
GET
/shipments
curl \
--request GET 'https://api.arta.io/shipments' \
--header "Authorization: ARTA_APIKey s0e1t2e3c4a5s6t7r8o9n10o11m12y"
Response examples (200)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx
# Payload
{
"items": [
{
"created_at": "2021-01-21T21:00:58.403150",
"destination": {
"city": "Los Angeles",
"country": "US",
"postal_code": "90024",
"region": "CA"
},
"hosted_session_id": null,
"id": "748dd2cd-f299-446d-8e6e-19b33aa72a83",
"internal_reference": "cart #425123; user #871",
"object_count": 1,
"origin": {
"city": "Brooklyn",
"country": "US",
"postal_code": "11211",
"region": "NY"
},
"package_count": 1,
"public_reference": null,
"quote_type": "parcel",
"shortcode": "DEMO-572652",
"status": "pending",
"tags": [],
"total": "405.53",
"total_currency": "USD",
"updated_at": "2021-01-21T21:00:58.403150"
}
],
"metadata": {
"page": 1,
"page_size": 20,
"total_count": 1
}
}